# libtraceevent(3) Manual Page

## NAME

tep_read_number - Reads a number from raw data.

## SYNOPSIS

    #include <event-parse.h>

    unsigned long long tep_read_number(struct tep_handle *tep, const void *ptr, int size);

## DESCRIPTION

The tep_read_number() function reads an integer from raw data, taking into account the endianness of the raw data and the current host. The tep argument is the trace event parser context. The ptr is a pointer to the raw data, where the integer is, and the size is the size of the integer.

## RETURN VALUE

The tep_read_number() function returns the integer in the byte order of the current host. In case of an error, 0 is returned.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/